//////////////////////////////////////////////////////////////////////////////////
//
// Command call example.  
//
//////////////////////////////////////////////////////////////////////////////////
//
// This source is an example of IBM Toolbox for Java "CommandCall"
// IBM grants you a nonexclusive license to use this as an example
// from which you can generate similar function tailored to
// your own specific needs.
//
// This sample code is provided by IBM for illustrative purposes
// only. These examples have not been thoroughly tested under all
// conditions. IBM, therefore, cannot guarantee or imply
// reliability, serviceability, or function of these programs.
//
// All programs contained herein are provided to you "AS IS"
// without any warranties of any kind.  The implied warranties of
// merchantablility and fitness for a particular purpose are
// expressly disclaimed.
//
// IBM Toolbox for Java
// (C) Copyright IBM Corp. 1998, 1998
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
//
//////////////////////////////////////////////////////////////////////////////////

import com.ibm.as400.access.AS400;
import com.ibm.as400.access.AS400Message;
import com.ibm.as400.access.CommandCall;

public class CommandCallExample extends Object
{
  public static void main(String[] args)
  {
    try 
    {

      // ---------------------------------------------------------------
      //             Intro Lab Exercise #1 Part #1 - Insert code here.
      // ---------------------------------------------------------------

      AS400 system = new AS400("mySystem");

      // ---------------------------------------------------------------
      //                           End of code.
      // ---------------------------------------------------------------

      // ---------------------------------------------------------------
      //             Intro Lab Exercise #1 Part #2 - Insert code here.
      // ---------------------------------------------------------------

	CommandCall command = new CommandCall(system);

      // ---------------------------------------------------------------
      //                           End of code.
      // ---------------------------------------------------------------

	// Gather the command line arguments passed to this program.
	StringBuffer buffer = new StringBuffer();
	for (int i = 0; i < args.length; ++i)
	{
	  buffer.append (args[i]);
	  buffer.append (" ");
	}
	String commandString = buffer.toString ();

      // ---------------------------------------------------------------
      //             Intro Lab Exercise #1 Part #3 - Insert code here.
      // ---------------------------------------------------------------

	if (command.run(commandString))
	  System.out.println("The command was successful.");
	else
	  System.out.println("The command failed.");

       // ---------------------------------------------------------------
       //                        End of code.
       // ---------------------------------------------------------------

       // ---------------------------------------------------------------
       //             Intro Lab Exercise #1 Part #4 - Insert code here.
       // ---------------------------------------------------------------

	 AS400Message[] messageList = command.getMessageList();
       for (int i=0; i < messageList.length; i++)
	 {
	   System.out.println (messageList[i].getID() + ":" +
		                 messageList[i].getText());
	 }

       // ---------------------------------------------------------------
       //                        End of code.
       // ---------------------------------------------------------------

    }
    catch (Exception e) {
      System.out.println ("Error: " + e);
    }

    System.exit (0);
  }      
}
